#include "Python.h"
#include <curses.h>
#include <stdio.h>

typedef struct {
        PyObject_HEAD
        WINDOW *win;
        WINDOW *parent;
} PyCursesWindowObject;

static PyObject *PyNewterm_Newterm(PyObject *self, PyObject *arg)
{
  PyCursesWindowObject *cursesmodule_stdscr;
  if (!PyArg_Parse(arg, "O", &cursesmodule_stdscr)) {
    return NULL;
  }
  newterm(NULL, stdout, stdin);
  cursesmodule_stdscr->win = stdscr;
  Py_INCREF(Py_None);
  return Py_None;
}

static PyMethodDef PyNewterm_methods[] = {
  {"newterm", (PyCFunction)PyNewterm_Newterm},
  {NULL, NULL}
};

void initnewterm(void)
{
  PyObject *m;

  /* Create the module and add the functions */
  m = Py_InitModule("newterm", PyNewterm_methods);

  /* Check for errors */
  if (PyErr_Occurred()) {
    Py_FatalError("can't initialize module newterm");
  }
}
